Register an application desktop identity
curl --request POST \
--url https://api.pyai.com/v1/telephony/desktop-endpoints \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"number_id": "<string>",
"user_id": "<string>",
"client_reference": "<string>",
"label": "<string>"
}
'import requests
url = "https://api.pyai.com/v1/telephony/desktop-endpoints"
payload = {
"number_id": "<string>",
"user_id": "<string>",
"client_reference": "<string>",
"label": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
number_id: '<string>',
user_id: '<string>',
client_reference: '<string>',
label: '<string>'
})
};
fetch('https://api.pyai.com/v1/telephony/desktop-endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pyai.com/v1/telephony/desktop-endpoints",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'number_id' => '<string>',
'user_id' => '<string>',
'client_reference' => '<string>',
'label' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pyai.com/v1/telephony/desktop-endpoints"
payload := strings.NewReader("{\n \"number_id\": \"<string>\",\n \"user_id\": \"<string>\",\n \"client_reference\": \"<string>\",\n \"label\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.pyai.com/v1/telephony/desktop-endpoints")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"number_id\": \"<string>\",\n \"user_id\": \"<string>\",\n \"client_reference\": \"<string>\",\n \"label\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pyai.com/v1/telephony/desktop-endpoints")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"number_id\": \"<string>\",\n \"user_id\": \"<string>\",\n \"client_reference\": \"<string>\",\n \"label\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"object": "telephony.desktop_endpoint",
"id": "<string>",
"project_id": "<string>",
"user_id": "<string>",
"actor_type": "application",
"label": "<string>",
"registered": true,
"available": true,
"number_id": "<string>",
"status": "active"
}{
"object": "telephony.desktop_endpoint",
"id": "<string>",
"project_id": "<string>",
"user_id": "<string>",
"actor_type": "application",
"label": "<string>",
"registered": true,
"available": true,
"number_id": "<string>",
"status": "active"
}Telephony
Register an application desktop identity
Server-key authorized application actor, project and client_reference form a stable namespace across normal tenant-key rotation. This never adopts an internal PyAI user’s device or starts a call.
POST
/
v1
/
telephony
/
desktop-endpoints
Register an application desktop identity
curl --request POST \
--url https://api.pyai.com/v1/telephony/desktop-endpoints \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"number_id": "<string>",
"user_id": "<string>",
"client_reference": "<string>",
"label": "<string>"
}
'import requests
url = "https://api.pyai.com/v1/telephony/desktop-endpoints"
payload = {
"number_id": "<string>",
"user_id": "<string>",
"client_reference": "<string>",
"label": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
number_id: '<string>',
user_id: '<string>',
client_reference: '<string>',
label: '<string>'
})
};
fetch('https://api.pyai.com/v1/telephony/desktop-endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pyai.com/v1/telephony/desktop-endpoints",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'number_id' => '<string>',
'user_id' => '<string>',
'client_reference' => '<string>',
'label' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pyai.com/v1/telephony/desktop-endpoints"
payload := strings.NewReader("{\n \"number_id\": \"<string>\",\n \"user_id\": \"<string>\",\n \"client_reference\": \"<string>\",\n \"label\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.pyai.com/v1/telephony/desktop-endpoints")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"number_id\": \"<string>\",\n \"user_id\": \"<string>\",\n \"client_reference\": \"<string>\",\n \"label\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pyai.com/v1/telephony/desktop-endpoints")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"number_id\": \"<string>\",\n \"user_id\": \"<string>\",\n \"client_reference\": \"<string>\",\n \"label\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"object": "telephony.desktop_endpoint",
"id": "<string>",
"project_id": "<string>",
"user_id": "<string>",
"actor_type": "application",
"label": "<string>",
"registered": true,
"available": true,
"number_id": "<string>",
"status": "active"
}{
"object": "telephony.desktop_endpoint",
"id": "<string>",
"project_id": "<string>",
"user_id": "<string>",
"actor_type": "application",
"label": "<string>",
"registered": true,
"available": true,
"number_id": "<string>",
"status": "active"
}Authorizations
apiKeyxApiKey
Body
application/json
Response
Original stable registration